package java.awt.image.renderable;

import java.awt.image.RenderedImage;
import java.awt.RenderingHints;
import java.util.Vector;

public interface RenderableImage
{
    public static final String HINTS_OBSERVED = "HINTS_OBSERVED";
    
    public abstract Vector<RenderableImage> getSources();
    
    public abstract Object getProperty(String p0);
    
    public abstract String[] getPropertyNames();
    
    public abstract boolean isDynamic();
    
    public abstract float getWidth();
    
    public abstract float getHeight();
    
    public abstract float getMinX();
    
    public abstract float getMinY();
    
    public abstract RenderedImage createScaledRendering(int p0, int p1, RenderingHints p2);
    
    public abstract RenderedImage createDefaultRendering();
    
    public abstract RenderedImage createRendering(RenderContext p0);
}
